msgpack_object_union Union Reference
MessagePack C » Dynamically typed object

`#include <object.h>`

## Public Attributes

bool | boolean
uint64_t | u64
int64_t | i64
double | f64
msgpack_object_array | array
msgpack_object_map | map
msgpack_object_str | str
msgpack_object_bin | bin
msgpack_object_ext | ext

## Member Data Documentation

## array

msgpack_object_array msgpack_object_union::array

## bin

msgpack_object_bin msgpack_object_union::bin

## boolean

bool msgpack_object_union::boolean

## ext

msgpack_object_ext msgpack_object_union::ext

## f64

double msgpack_object_union::f64

## i64

int64_t msgpack_object_union::i64

## map

msgpack_object_map msgpack_object_union::map

## str

msgpack_object_str msgpack_object_union::str

## u64

uint64_t msgpack_object_union::u64

The documentation for this union was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/object.h